Bug 1808062 - Silenced alerts should not show up in the Notification Drawer of the console
Summary: Silenced alerts should not show up in the Notification Drawer of the console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: David Taylor
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1808059
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 17:55 UTC by David Taylor
Modified: 2020-05-04 11:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Silence an alert from Monitoring -> Alerts -> choose one firing alert -> click kebab -> choose Silence Alert -> Create Consequence: After Alert is changed to Silenced state, check Home -> Overview -> Status card and Notification Drawer, the silenced alert are still shown Fix: Updated Dashboard and Notification Drawer to not show Silenced Alerts Result: After Alert is changed to Silenced state, check Home -> Overview -> Status card and Notification Drawer, the silenced alert are not shown on page any more
Clone Of: 1808059
Environment:
Last Closed: 2020-05-04 11:43:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4635 0 None closed [release-4.4] Bug 1808062: Silenced alerts should not show up in the Notification Drawer of the console 2020-04-20 16:20:05 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:43:31 UTC

Description David Taylor 2020-02-27 17:55:51 UTC
+++ This bug was initially created as a clone of Bug #1808059 +++

If I silence an alert I do not expect to see it anymore in the Notification Drawer

Comment 3 shahan 2020-03-09 03:21:46 UTC
create silence for KubePodNotReady
1. check the notification drawer has the alerts KubeDeploymentReplicasMismatch
2. create the silence for the alert
3. then check the notification drawer again
The alert will not show any more
4.4.0-0.nightly-2020-03-08-180026

Comment 5 errata-xmlrpc 2020-05-04 11:43:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.